org.apache.felix.bundlerepository.impl

## Class ObrCommandImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.ObrCommandImpl

All Implemented Interfaces:
  org.apache.felix.shell.Command

    public class ObrCommandImpl
    extends java.lang.Object
    implements org.apache.felix.shell.Command

### Constructor Summary

Constructors
Constructor and Description
`ObrCommandImpl(org.osgi.framework.BundleContext context, RepositoryAdmin repoAdmin)`

### Method Summary

Methods
`void` `execute(java.lang.String commandLine, java.io.PrintStream out, java.io.PrintStream err)`
`java.lang.String` `getName()`
`java.lang.String` `getShortDescription()`
`java.lang.String` `getUsage()`
`Resource` `selectNewestVersion(Resource[] resources)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObrCommandImpl

    public ObrCommandImpl(org.osgi.framework.BundleContext context,
                  RepositoryAdmin repoAdmin)

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.apache.felix.shell.Command`

#### getUsage

    public java.lang.String getUsage()

Specified by:
  `getUsage` in interface `org.apache.felix.shell.Command`

#### getShortDescription

    public java.lang.String getShortDescription()

Specified by:
  `getShortDescription` in interface `org.apache.felix.shell.Command`

#### execute

    public void execute(java.lang.String commandLine,
               java.io.PrintStream out,
               java.io.PrintStream err)

Specified by:
  `execute` in interface `org.apache.felix.shell.Command`

#### selectNewestVersion

    public Resource selectNewestVersion(Resource[] resources)